--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: We extend the ManagerClass to handle remote logins
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: MAX_SESSION_ID
  value: 2**128 - 1
full_name: "::Bot::Auth::ManagerClass"
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: remote_login
- !ruby/object:RI::MethodSummary 
  name: remote_user
name: ManagerClass
superclass: Object
